# IRdVertexHairStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertices ([out, retval] RtDWORD *pdwNumVertices)
HRESULT | SetNumVertices ([in] RtDWORD dwNumVertices)
## Properties
RtFloat * | density ([in] RtDWORD dwIndex)`[get]`
RtFloat | density ([in] RtDWORD dwIndex)`[set]`
RtFloat * | length ([in] RtDWORD dwIndex)`[get]`
RtFloat | length ([in] RtDWORD dwIndex)`[set]`
RtFloat * | softness ([in] RtDWORD dwIndex)`[get]`
RtFloat | softness ([in] RtDWORD dwIndex)`[set]`
RtVector3f * | direction ([in] RtDWORD dwIndex)`[get]`
RtVector3f | direction ([in] RtDWORD dwIndex)`[set]`
RtVector3f * | gravity ([in] RtDWORD dwIndex)`[get]`
RtVector3f | gravity ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdVertexHairStream:

- Specifies hair density for vertices of mesh.
- The stream is part of IRdMesh and is stored in vertex stream group.
- Stream is identified by STREAMID_VERTEX_HAIR id.

## Member Function Documentation

HRESULT IRdVertexHairStream::GetNumVertices | ( | [out, retval] RtDWORD * | pdwNumVertices | ) |

Get number of vertices.

Returns:
  pdwNumVertices [out,retval] Returns number of vertices found in stream.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdVertexHairStream::SetNumVertices | ( | [in] RtDWORD | dwNumVertices | ) |

Set number of vertices.

Parameters:

  | dwNumVertices | [in] Set number of vertices in stream.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdVertexHairStream::density([in] RtDWORD dwIndex)`[get]`

Get density of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out,retval] Density value.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexHairStream::density([in] RtDWORD dwIndex)`[set]`

Set density of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Density value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexHairStream::length([in] RtDWORD dwIndex)`[get]`

Get length of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out,retval] Length value.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexHairStream::length([in] RtDWORD dwIndex)`[set]`

Set length of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Length value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexHairStream::softness([in] RtDWORD dwIndex)`[get]`

Get softness of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out,retval] Softness value.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexHairStream::softness([in] RtDWORD dwIndex)`[set]`

Set softness of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Softness value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtVector3f* IRdVertexHairStream::direction([in] RtDWORD dwIndex)`[get]`

Get direction of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out,retval] Direction value.

  standard HRESULT processing can be applied to returned value.

RtVector3f IRdVertexHairStream::direction([in] RtDWORD dwIndex)`[set]`

Set direction of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Direction value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtVector3f* IRdVertexHairStream::gravity([in] RtDWORD dwIndex)`[get]`

Get gravity of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out,retval] Gravity value.

  standard HRESULT processing can be applied to returned value.

RtVector3f IRdVertexHairStream::gravity([in] RtDWORD dwIndex)`[set]`

Set gravity of hair at i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Gravity value to set.

Returns:
  standard HRESULT processing can be applied to returned value.